function [NumOfGenotype, NumOfSNP, HapMat] = Read_Geno_File(FileName);
%Read_Geno_File reads the FileName in the format
%3 4
%0001
%0221
%1210

[fid, message] = fopen(FileName, 'r');

if fid == -1
	%fail to open file
	disp(message);
	fprintf('No such file exists...\n');
	NumOfGenotype = -1;
	NumOfSNP = -1;
	HapMat = [];
else
	%read the first line to get the number of genotypes and SNPs
	line = fgetl(fid);
	[temp, RemainStr] = strtok(line);
	NumOfGenotype=str2num(temp);
	NumOfSNP = str2num(strtok(RemainStr));
	
	fprintf('\nRead %d genotypes with %d SNPs from the file %s:\n', NumOfGenotype, NumOfSNP, FileName);

	%store the SNP data from the file into a matrix: HapMat
	HapMat = [];
	while feof(fid) == 0
		line = fgetl(fid);
		temp = sscanf(line,'%c',NumOfSNP);
		HapMat = [HapMat;temp];

	end	%end of while
	disp(HapMat);

	%close the input file
	fclose(fid);

end